org.apache.lucene.luke.app

## Interface IndexObserver

- All Superinterfaces:
    Observer

      public interface IndexObserver
      extends Observer

  Index open/close observer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeIndex()`
    `void` | `openIndex(LukeState state)`

- - ### Method Detail

    - #### openIndex

          void openIndex(LukeState state)

    - #### closeIndex

          void closeIndex()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.